Qt 5.7 | Qt 3D | QML Types | SortPolicy QML Type

Qt 5.7.1 Reference Documentation

# SortPolicy QML Type

Provides storage for the sort types to be used More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.7
Instantiates: | QSortPolicy

- List of all members, including inherited members

## Properties

- sortTypes : QVariantList

## Detailed Description

A SortPolicy class stores the sorting type used by the FrameGraph. The sort types determine how drawable entities are sorted before drawing to determine the drawing order. When SortPolicy is present in the FrameGraph, the sorting mechanism is determined by the SortTypes list. Multiple sort types can be used simultanously. If SortPolicy is not present in the FrameGraph, entities are drawn in the order they appear in the entity hierarchy.

## Property Documentation

sortTypes : QVariantList

Specifies the sorting types to be used.